/* This is an autogenerated file from sap_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __SYS_SAP_H__
#define __SYS_SAP_H__

/* ------------------------------------------ */
extern void unifi_sys_wifi_on_ind(FsmContext* context, unifi_Status status, const unifi_Versions* versions);

extern void unifi_sys_wifi_on_cfm(FsmContext* context, unifi_Status status);

extern void unifi_sys_wifi_off_ind(FsmContext* context, unifi_ControlIndication controlIndication);

extern void unifi_sys_wifi_off_cfm(FsmContext* context);

extern void unifi_sys_suspend_ind(FsmContext* context, Boolean hardSuspend, Boolean d3Suspend);

extern void unifi_sys_resume_ind(FsmContext* context, Boolean resumePowerMaintained);

extern void unifi_sys_hip_ind(FsmContext* context, const unifi_DataBlock* mlmeCommand, const unifi_DataBlock* dataRef1, 
                     const unifi_DataBlock* dataRef2);

extern void unifi_sys_qos_control_cfm(FsmContext* context, unifi_Status status);

extern void unifi_sys_port_configure_cfm(FsmContext* context, unifi_Status status, const unifi_MACAddress* macAddress);

extern void unifi_sys_traffic_sample_ind(FsmContext* context, const unifi_traffic_stats* stats);

extern void unifi_sys_traffic_protocol_ind(FsmContext* context, unifi_traffic_packettype packetType, unifi_protocol_direction direction, 
                     const unifi_MACAddress* srcAddress);

extern void unifi_sys_ip_configured_ind(FsmContext* context, Boolean ipConfigured);

extern void unifi_sys_multicast_address_ind(FsmContext* context, unifi_ListAction action, const unifi_MulticastAddressList* setAddresses);

extern void unifi_sys_tclas_add_cfm(FsmContext* context, unifi_Status status);

extern void unifi_sys_tclas_del_cfm(FsmContext* context, unifi_Status status);

/* ------------------------------------------ */
extern void unifi_sys_wifi_on_req(void* context);

extern void unifi_sys_wifi_on_rsp(void* context, unifi_Status status, const unifi_MACAddress* stationMacAddress);

extern void unifi_sys_wifi_off_req(void* context);

extern void unifi_sys_wifi_off_rsp(void* context);

extern void unifi_sys_suspend_rsp(void* context, unifi_Status status);

extern void unifi_sys_resume_rsp(void* context, unifi_Status status);

extern void unifi_sys_hip_req(void* context, const unifi_DataBlock* mlmeCommand, const unifi_DataBlock* dataRef1, 
                     const unifi_DataBlock* dataRef2);

extern void unifi_sys_qos_control_req(void* context, unifi_QoSControl control);

extern void unifi_sys_port_configure_req(void* context, unifi_PortAction uncontrolledPortAction, unifi_PortAction controlledPortAction, 
                     const unifi_MACAddress* macAddress);

extern void unifi_sys_configure_power_mode_req(void* context, unifi_LowPowerMode mode, Boolean wakeHost);

extern void unifi_sys_traffic_config_req(void* context, unifi_traffic_configtype type, const unifi_traffic_config* config);

extern void unifi_sys_media_status_req(void* context, unifi_MediaStatus mediaStatus);

extern void unifi_sys_multicast_address_rsp(void* context, unifi_Status status, unifi_ListAction action, 
                     const unifi_MulticastAddressList* getAddresses);

extern void unifi_sys_tclas_add_req(void* context, const unifi_DataBlock* tclas);

extern void unifi_sys_tclas_del_req(void* context, const unifi_DataBlock* tclas);

extern void unifi_sys_traffic_classification_req(void* context, unifi_traffic_type type, uint16 period);


#endif /* __SYS_SAP_H__ */

#ifdef __cplusplus
}
#endif
